%define name fsv
%define version 0.9
%define release 4mdk

Name: %{name}
Version: %{version}
Release: %{release}
Group: File tools
License: LGPL
URL: http://fox.mit.edu/skunk/soft/fsv/
Summary: fsv - 3D File System Visualizer
Requires: libgtk+ >= 1.2.1
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
fsv (pronounced effessvee) is a file system visualizer in cyberspace. It
lays out files and directories in three dimensions, geometrically
representing the file system hierarchy to allow visual overview and
analysis. fsv can visualize a modest home directory, a workstation's hard
drive, or any arbitrarily large collection of files, limited only by the
host computer's memory and hardware constraints.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=%{_prefix} --with-doc-dir=$RPM_DOC_DIR/fsv-0.9

%make

%install
make install prefix=$RPM_BUILD_ROOT%{_prefix} docdir=`pwd`/doc.rpm
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 fsv.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/fsv


(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/fsv"\
title="Fsv"\
longtitle="3D file browser"\
needs="x11"\
section="Multimedia/Graphics"
EOF
)    

%post
%{update_menus}


%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc.rpm/*
%config %{_sysconfdir}/X11/wmconfig/fsv
%{_bindir}/*
## %{prefix}/share/locale/*/*/*
%{_libdir}/menu/*

%changelog
* Mon Mar 19 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.9-4mdk
- rebuild

* Tue Aug 31 2000  Lenny Cartier <lenny@mandrakesoft.com> 0.9-3mdk
- BM
- macros
- menu

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9-2mdk
- fix group
- fix files section

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9-1mdk
- new in contribs
- mandrake adaptations
- strange way to manage files :)
